Upstream information

CVE-2021-21330 at MITRE

Description

aiohttp is an asynchronous HTTP client/server framework for asyncio and Python. In aiohttp before version 3.7.4 there is an open redirect vulnerability. A maliciously crafted link to an aiohttp-based web-server could redirect the browser to a different website. It is caused by a bug in the `aiohttp.web_middlewares.normalize_path_middleware` middleware. This security problem has been fixed in 3.7.4. Upgrade your dependency using pip as follows "pip install aiohttp >= 3.7.4". If upgrading is not an option for you, a workaround can be to avoid using `aiohttp.web_middlewares.normalize_path_middleware` in your applications.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.1 8.2
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:H/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Changed Unchanged
Confidentiality Impact Low Low
Integrity Impact Low High
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1184745 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Public Cloud 15 SP1
  • python-aiohttp-doc >= 3.4.4-3.6.1
  • python3-aiohttp >= 3.4.4-3.6.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-SP1-2021-1313
SUSE Linux Enterprise Module for Public Cloud 15 SP2
  • python-aiohttp-doc >= 3.4.4-3.6.1
  • python3-aiohttp >= 3.4.4-3.6.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-SP2-2021-1313
openSUSE Leap 15.3 SLE Imports
  • python-aiohttp-debugsource >= 3.4.4-3.6.1
  • python-aiohttp-doc >= 3.4.4-3.6.1
  • python3-aiohttp >= 3.4.4-3.6.1
  • python3-aiohttp-debuginfo >= 3.4.4-3.6.1
Patchnames:
SUSE-2021-1313


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Module for Public Cloud 15 SP1 python-aiohttp Released
SUSE Linux Enterprise Module for Public Cloud 15 SP2 python-aiohttp Released
SUSE Linux Enterprise Module for Public Cloud 15 SP3 python-aiohttp Released